We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The React Spline Area Chart is like an area chart except that the data points are connected by smooth lines. It supports features like zooming, panning, animation, and dynamic updates.


Multi series

Multi area series are useful to compare two or more cumulative values over a period.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle..


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The React Spline Area Chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the React Spline Area Chart using built-in APIs.


React Spline Area Chart Code Example

Easily get started with React Spline Area using a few simple lines of JS code, as demonstrated below. Also explore our React Spline Area Chart Example that shows you how to render and configure the spline area chart component.

import {AxisModel,ChartComponent,DateTime,Inject,SeriesCollectionDirective, SeriesDirective, SplineAreaSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'DateTime'};
  public data: any[]= [
    { x: new Date(2002, 0, 1), y: 2.2 }, { x: new Date(2003, 0, 1), y: 3.4 },
    { x: new Date(2004, 0, 1), y: 2.8 }, { x: new Date(2005, 0, 1), y: 1.6 },
    { x: new Date(2006, 0, 1), y: 2.3 }, { x: new Date(2007, 0, 1), y: 2.5 },
    { x: new Date(2008, 0, 1), y: 2.9 }, { x: new Date(2009, 0, 1), y: 3.8 },
    { x: new Date(2010, 0, 1), y: 1.4 }, { x: new Date(2011, 0, 1), y: 3.1 }
];
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[SplineAreaSeries, DateTime]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data} xName='x' yName='y' type='SplineArea'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Spline Area Chart User Guide

Learn the available options to customize React spline area chart.

API

Spline Area Chart API Reference

Explore the React spline area chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The Angular Spline Area Chart is like an area chart except that the data points are connected by smooth lines. It supports features like zooming, panning, animation, and dynamic updates.


Multi series

Multi area series are useful to compare two or more cumulative values over a period.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle..


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The Angular Spline Area Chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the Angular Spline Area Chart using built-in APIs.


Angular Spline Area Chart Code Example

Easily get started with Angular Spline Area using a few simple lines of JS code, as demonstrated below. Also explore our Angular Spline Area Chart Example that shows you how to render and configure the spline area chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='SplineArea' xName='x' yName='y'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
                { x: new Date(2002, 0, 1), y: 2.2 }, { x: new Date(2003, 0, 1), y: 3.4 },
                { x: new Date(2004, 0, 1), y: 2.8 }, { x: new Date(2005, 0, 1), y: 1.6 },
                { x: new Date(2006, 0, 1), y: 2.3 }, { x: new Date(2007, 0, 1), y: 2.5 },
                { x: new Date(2008, 0, 1), y: 2.9 }, { x: new Date(2009, 0, 1), y: 3.8 },
                { x: new Date(2010, 0, 1), y: 1.4 }, { x: new Date(2011, 0, 1), y: 3.1 }
            ];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'DateTime',     
};
}

// app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { SplineAreaSeriesService, DateTimeService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ SplineAreaSeriesService, DateTimeService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Spline Area Chart User Guide

Learn the available options to customize Angular Spline Area Chart.

API

Spline Area Chart API Reference

Explore the Angular Spline Area Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon